# module MCollective

## The Marionette Collective

Framework to build and run Systems Administration agents running on a publish/subscribe middleware system. The system allows you to treat your network as the only true source of the state of your platform via discovery agents and allow you to run agents matching discovery criteria.

For an overview of the idea behind this and what it enables please see:

    http://www.devco.net/archives/2009/10/18/middleware_for_systems_administration.php

### Constants

VERSION

### Public Class Methods

version() click to toggle source

    # File lib/mcollective.rb, line 77
    def self.version
      VERSION
    end